<?php
/*
Plugin Name: TablePress Extension: Turn off Output Caching
Plugin URI: https://tablepress.org/extensions/turn-off-output-caching/
Description: Custom Extension for TablePress to globally turn off Table Output Caching
Version: 1.0
Author: Tobias Bäthge
Author URI: https://tobias.baethge.com/
*/

add_filter( 'tablepress_table_render_options', 'tablepress_turn_off_output_caching', 10, 2 );

/**
 * Turn off Table Output Caching for all tables by default.
 *
 * @since 1.0
 *
 * @param array $render_options Render Options.
 * @param array $table          Table.
 *
 * @return array Modified Render Options.
 */
function tablepress_turn_off_output_caching( $render_options, $table ) {
	$render_options['cache_table_output'] = false;
	return $render_options;
}
